com.amazonaws.codegen.model.intermediate.customization

## Class ShapeCustomizationInfo

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.customization.ShapeCustomizationInfo

    public class ShapeCustomizationInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ShapeCustomizationInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArtificialResultWrapper` `getArtificialResultWrapper()`
`boolean` `isSkipGeneratingMarshaller()`
`boolean` `isSkipGeneratingModelClass()`
`boolean` `isSkipGeneratingUnmarshaller()`
`void` `setArtificialResultWrapper(ArtificialResultWrapper artificialResultWrapper)`
`void` `setSkipGeneratingMarshaller(boolean skipGeneratingMarshaller)`
`void` `setSkipGeneratingModelClass(boolean skipGeneratingModelClass)`
`void` `setSkipGeneratingUnmarshaller(boolean skipGeneratingUnmarshaller)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeCustomizationInfo

    public ShapeCustomizationInfo()

### Method Detail

#### getArtificialResultWrapper

    public ArtificialResultWrapper getArtificialResultWrapper()

#### setArtificialResultWrapper

    public void setArtificialResultWrapper(ArtificialResultWrapper artificialResultWrapper)

#### isSkipGeneratingModelClass

    public boolean isSkipGeneratingModelClass()

#### setSkipGeneratingModelClass

    public void setSkipGeneratingModelClass(boolean skipGeneratingModelClass)

#### isSkipGeneratingMarshaller

    public boolean isSkipGeneratingMarshaller()

#### setSkipGeneratingMarshaller

    public void setSkipGeneratingMarshaller(boolean skipGeneratingMarshaller)

#### isSkipGeneratingUnmarshaller

    public boolean isSkipGeneratingUnmarshaller()

#### setSkipGeneratingUnmarshaller

    public void setSkipGeneratingUnmarshaller(boolean skipGeneratingUnmarshaller)